<#-- 
    Copyright (c) 2016 NIBIO <http://www.nibio.no/>. 
  
  This file is part of VIPSLogic.
  VIPSLogic is free software: you can redistribute it and/or modify
  it under the terms of the NIBIO Open Source License as published by 
  NIBIO, either version 1 of the License, or (at your option) any
  later version.
  
  VIPSLogic is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  NIBIO Open Source License for more details.
  
  You should have received a copy of the NIBIO Open Source License
  along with VIPSLogic.  If not, see <http://www.nibio.no/licenses/>.
-->
<#macro page_head>
        <title>master title</title>
</#macro>
<#macro custom_css>
	
</#macro>
<#macro custom_js>

</#macro>
<#macro page_contentwrap_start>
<!-- start contentwrapper-->
<div class="container" id="topContainer">
	<nav class="navbar navbar-default" role="navigation">
	  <!-- Brand and toggle get grouped for better mobile display -->
	  <div class="navbar-header">
	    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
	      <span class="sr-only">Toggle navigation</span>
	      <span class="icon-bar"></span>
	      <span class="icon-bar"></span>
	      <span class="icon-bar"></span>
	    </button>
	    <a class="navbar-brand" href="/"><img src="/images/logo_vips.png" alt="VIPS logo" style="height:48px;"/></a><span id="siteTitle" class="navbar-brand">${i18nBundle.VIPSLogicTitle}</span>
	  </div>
	<!-- Collect the nav links, forms, and other content for toggling -->
	  <div class="collapse navbar-collapse navbar-ex1-collapse">
	    <ul class="nav navbar-nav">
	      <!--li class="active"><a href="#">Link</a></li-->
	      <!--li><a href="#">Link</a></li-->
	      
	      <li class="active dropdown">
		<a href="#" class="dropdown-toggle" data-toggle="dropdown">Admin<b class="caret"></b></a>
		<ul class="dropdown-menu">
		  <#if user.isOrganizationAdmin() || user.isSuperUser() >
                        <#if user.isSuperUser() >
                        <li><a href="/organization">${i18nBundle.organizations}</a></li>
                        </#if>
			  <li><a href="/user">${i18nBundle.users}</a></li>
                          <li><a href="/organizationgroup">${i18nBundle.organizationGroupList}</a></li>
			  <li><a href="/scheduling">${i18nBundle.scheduling}</a></li>
			  <li><a href="/weatherStation">${i18nBundle.weatherStations}</a></li>
                          <li><a href="/organism/cropcategory">${i18nBundle.cropCategoryIds}</a></li>
		  <#else>
		  	<li><a href="/user?action=viewUser&userId=${user.userId}">${i18nBundle.myAccount}</a></li>
		  </#if>
		  <li><a href="/poi">${i18nBundle.pois}</a></li>
		  <#if user.isOrganizationAdmin() || user.isSuperUser() || user.isMessageAuthor()>
		  	<li><a href="/message">${i18nBundle.messages}</a></li>
		  </#if>
                  <#if user.isOrganizationAdmin() || user.isSuperUser() || user.isAppleFruitMothAdministrator() || user.hasRole(3?int) || user.hasRole(4?int)>
                    <li><a href="/observation">${i18nBundle.observations}</a></li>
                  </#if>
		  <li><a href="/forecastConfiguration">${i18nBundle.forecasts}</a></li>
                  <#if user.isOrganizationAdmin() || user.isSuperUser() || user.isOrganismEditor()>
		  	 <li><a href="/organism">${i18nBundle.organisms}</a></li>
		  </#if>
		  <#if user.isOrganizationAdmin() || user.isSuperUser() || user.isAppleFruitMothAdministrator() || user.hasRole(8?int)>
		  	<li><a href="/applefruitmoth">${i18nBundle.appleFruitMoth}</a></li>
		  </#if>
                  <#if user.isOrganizationAdmin() || user.isSuperUser() || user.hasRole(9?int) || user.hasRole(10?int) || user.hasRole(11?int)>
		  	<li><a href="/barkbeetle">${i18nBundle.barkbeetle}</a></li>
		  </#if>
		</ul>
	      </li>
	      <li><a href="/userguide/VIPSLogic_user_guide.html">${i18nBundle.help}</a></li>
	    </ul>
            <div id="loginAndLanguageInfo" >
                <form action="${requestURL}" id="languageSelect" method="post" style="display: inline;">
                            <label for="language">${i18nBundle.language}</label>
                            <select name="userRequestedLocale" onchange="this.form.submit();" >
                                <#list availableLocales as locale>
                                    <option value="${locale.language}<#if locale.country?has_content>_${locale.country}</#if>"
                                            <#if locale == currentLocale> selected="selected"</#if>
                                            >${locale.getDisplayLanguage(locale)}</option>
                                </#list>
                            <!-- get language codes>
                            <option value="" {% if language.code == LANGUAGE_CODE %} selected="selected" {% endif %}>{{ language.name_local }}</option>
                            <-->
                            </select>
                </form>
                &nbsp;&nbsp;
                ${i18nBundle.loggedinas} <a href="/user?action=viewUser&userId=${user.userId}">${user.firstName} ${user.lastName}</a> (${user.organizationId.organizationName})
                <form action="/logout" method="POST" role="logout" style="display: inline;">
                  <button type="submit">${i18nBundle.logout}</button>
                </form>
            </div>
	  </div><!-- /.navbar-collapse -->
	  
	</nav>
</div>
<div style="background-color: #d9e6e4;">
	<div class="container" id="contentContainer" >
		<div class="row">
			<!-- Start contents container -->
			<div class="col-md-12">
	
	
</#macro>
<#macro page_contents>
        This is the default page contents.
</#macro>
<#macro page_contentwrap_end>
			</div><!-- End contents container -->
		</div><!-- End row with sidebar and contents container -->
	</div><!-- End contentContainer -->
</div><!-- End container with green bgcolor -->
<div class="container" id="bottomContainer">
	<footer>
		<div class="row">
			<div class="col-md-2">&copy; ${.now?string("yyyy")} <a href="http://www.nibio.no/" target="new">NIBIO</a></div>
			<div class="col-md-10"><p class="text-right"><small>[${i18nBundle.systemTime}: ${systemTime?datetime}]</small></p></div>
		</div>
	</footer>
</div>
<!-- end contentwrapper-->
</#macro>


<#macro page_html>
<!DOCTYPE html>
<html lang="no">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
	<link href="/css/3rdparty/bootstrap.min.css" rel="stylesheet" media="screen" />
	<!-- Fonts from Google -->
	<link href='https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,400italic,200,200italic,300,300italic' rel='stylesheet' type='text/css'>
	<!-- FontAwesome for icons -->
	<link rel="stylesheet" href="/css/3rdparty/font-awesome.min.css">
	<!-- Custom styles for VIPSLogic -->
	<link href="/css/vipslogic.css" rel="stylesheet" media="screen" />
	<@custom_css/>
	<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="/js/3rdparty/html5shiv.js"></script>
          <script src="/js/3rdparty/respond.min.js"></script>
        <![endif]-->
	<@page_head/>
</head>
<body>
	<@page_contentwrap_start/>
	<@page_contents/>
	<@page_contentwrap_end/>
	<!-- jQuery (necessary for Bootstraps JavaScript plugins) -->
	<script src="/js/3rdparty/jquery.min.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="/js/3rdparty/bootstrap.min.js"></script>
	<@custom_js/>
</body>
</html>
</#macro> 
